Package ru.bitel.bgbilling.modules.netpay.server.bean

# Class Constants

java.lang.Object
ru.bitel.bgbilling.common.bean.BGBaseConstants
ru.bitel.bgbilling.modules.netpay.server.bean.Constants

public class Constants extends BGBaseConstants

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `KEY_NETPAY_API_KEY`
  `static final String`
  `KEY_NETPAY_AUTH_SIGNATURE`
  `static final String`
  `KEY_NETPAY_EXPIRED_DAY`
  `static final String`
  `KEY_NETPAY_GATE_URL`
  `static final String`
  `KEY_NETPAY_ORDER_CURRENCY_CODE`
  `static final String`
  `KEY_NETPAY_ORDER_DESCRIPTION`
  `static final String`
  `KEY_NETPAY_ORDER_FAIL_URL`
  `static final String`
  `KEY_NETPAY_ORDER_SUCCESS_URL`
  `static final String`
  `KEY_NETPAY_PAYMENT_COMMENT`
  `static final String`
  `KEY_NETPAY_PAYMENT_TYPE_ID`
  `static final String`
  `KEY_NETPAY_STATUS_DEFAUL`
  `static final String`
  `KEY_NETPAY_SUM_MAX`
  `static final String`
  `KEY_NETPAY_SUM_MIN`
  `static final String`
  `NETPAY_API_KEY`
  `static final String`
  `NETPAY_AUTH_SIGNATURE`
  `static final String`
  `NETPAY_CHARSET_NAME`
  `static final int`
  `NETPAY_EXPIRED_DAY`
  `static final String`
  `NETPAY_GATE_URL`
  `static final String`
  `NETPAY_ORDER_CURRENCY_CODE`
  `static final String`
  `NETPAY_ORDER_DESCRIPTION`
  `static final String`
  `NETPAY_PAYMENT_COMMENT`
  `static final int`
  `NETPAY_SUM_MAX`
  `static final int`
  `NETPAY_SUM_MIN`
  `static final String`
  `PARAM_NETPAY_AUTH`
  `static final String`
  `PARAM_NETPAY_DATA`
  `static final String`
  `PARAM_NETPAY_EXPIRE`

  ### Fields inherited from class ru.bitel.bgbilling.common.bean.BGBaseConstants

  `AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT, AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT, DEFAULT_FISCALIZATION_CUSTOMER_ADDRESS_TITLE, DEFAULT_SUM_MAX, DEFAULT_SUM_MIN, KEY_AUTOPAYMENT_ENABLE, KEY_AUTOPAYMENT_ID, KEY_AUTOPAYMENT_MODE, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_ENABLE, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_DAY, KEY_AUTOPAYMENT_MODE_MONTH_ENABLE, KEY_AUTOPAYMENT_MODE_MONTH_SUM, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MIN, KEY_AUTOPAYMENT_MODE_WEEK_DAY, KEY_AUTOPAYMENT_MODE_WEEK_ENABLE, KEY_AUTOPAYMENT_MODE_WEEK_SUM, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MIN, KEY_BILLING_NAME, KEY_COMMISSION_PERCENT, KEY_COMMISSION_TYPE, KEY_CUSTOMER_ADDRESS, KEY_CUSTOMER_ADDRESS_ENABLE, KEY_CUSTOMER_ADDRESS_REQUIRED, KEY_CUSTOMER_ADDRESS_TITLE, KEY_CUSTOMER_EMAIL, KEY_CUSTOMER_EMAIL_ENABLE, KEY_CUSTOMER_EMAIL_REQUIRED, KEY_MONTH, KEY_PAGE, KEY_PAYMENT_PHONE, KEY_PERIOD, KEY_STATUS, KEY_STATUS_LIST, KEY_SUM_MAX, KEY_SUM_MIN, KEY_TRANSACTIONS, KEY_YEAR, PATTERN_CARD, PATTERN_CONTRACT_COMMENT, PATTERN_CONTRACT_TITLE, PATTERN_TRANSACTION_ID, REQUEST_ATTR_CONTENT_TYPE, REQUEST_PARAM_CONTENT_TYPE, REQUEST_PARAM_CUSTOMER_ADDRESS, REQUEST_PARAM_CUSTOMER_EMAIL, REQUEST_PARAM_MONTH, REQUEST_PARAM_PAYMENT_EMAIL, REQUEST_PARAM_PAYMENT_PHONE, REQUEST_PARAM_STATUS, REQUEST_PARAM_SUM, REQUEST_PARAM_YEAR, STRING_AMP, STRING_EQUALS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Constants()`

- ## Method Summary

  ### Methods inherited from class ru.bitel.bgbilling.common.bean.BGBaseConstants

  `getIntConstantByName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NETPAY_SUM_MIN

    public static final int NETPAY_SUM_MIN
    See Also:
      - Constant Field Values

  - ### NETPAY_SUM_MAX

    public static final int NETPAY_SUM_MAX
    See Also:
      - Constant Field Values

  - ### NETPAY_EXPIRED_DAY

    public static final int NETPAY_EXPIRED_DAY
    See Also:
      - Constant Field Values

  - ### NETPAY_AUTH_SIGNATURE

    public static final String NETPAY_AUTH_SIGNATURE
    See Also:
      - Constant Field Values

  - ### NETPAY_API_KEY

    public static final String NETPAY_API_KEY
    See Also:
      - Constant Field Values

  - ### NETPAY_GATE_URL

    public static final String NETPAY_GATE_URL
    See Also:
      - Constant Field Values

  - ### NETPAY_ORDER_CURRENCY_CODE

    public static final String NETPAY_ORDER_CURRENCY_CODE
    See Also:
      - Constant Field Values

  - ### NETPAY_ORDER_DESCRIPTION

    public static final String NETPAY_ORDER_DESCRIPTION
    See Also:
      - Constant Field Values

  - ### NETPAY_PAYMENT_COMMENT

    public static final String NETPAY_PAYMENT_COMMENT
    See Also:
      - Constant Field Values

  - ### KEY_NETPAY_SUM_MIN

    public static final String KEY_NETPAY_SUM_MIN
    See Also:
      - Constant Field Values

  - ### KEY_NETPAY_SUM_MAX

    public static final String KEY_NETPAY_SUM_MAX
    See Also:
      - Constant Field Values

  - ### KEY_NETPAY_GATE_URL

    public static final String KEY_NETPAY_GATE_URL
    See Also:
      - Constant Field Values

  - ### KEY_NETPAY_EXPIRED_DAY

    public static final String KEY_NETPAY_EXPIRED_DAY
    See Also:
      - Constant Field Values

  - ### KEY_NETPAY_PAYMENT_COMMENT

    public static final String KEY_NETPAY_PAYMENT_COMMENT
    See Also:
      - Constant Field Values

  - ### KEY_NETPAY_ORDER_DESCRIPTION

    public static final String KEY_NETPAY_ORDER_DESCRIPTION
    See Also:
      - Constant Field Values

  - ### KEY_NETPAY_ORDER_CURRENCY_CODE

    public static final String KEY_NETPAY_ORDER_CURRENCY_CODE
    See Also:
      - Constant Field Values

  - ### KEY_NETPAY_ORDER_SUCCESS_URL

    public static final String KEY_NETPAY_ORDER_SUCCESS_URL
    See Also:
      - Constant Field Values

  - ### KEY_NETPAY_ORDER_FAIL_URL

    public static final String KEY_NETPAY_ORDER_FAIL_URL
    See Also:
      - Constant Field Values

  - ### KEY_NETPAY_API_KEY

    public static final String KEY_NETPAY_API_KEY
    See Also:
      - Constant Field Values

  - ### KEY_NETPAY_AUTH_SIGNATURE

    public static final String KEY_NETPAY_AUTH_SIGNATURE
    See Also:
      - Constant Field Values

  - ### KEY_NETPAY_PAYMENT_TYPE_ID

    public static final String KEY_NETPAY_PAYMENT_TYPE_ID
    See Also:
      - Constant Field Values

  - ### KEY_NETPAY_STATUS_DEFAUL

    public static final String KEY_NETPAY_STATUS_DEFAUL
    See Also:
      - Constant Field Values

  - ### PARAM_NETPAY_AUTH

    public static final String PARAM_NETPAY_AUTH
    See Also:
      - Constant Field Values

  - ### PARAM_NETPAY_DATA

    public static final String PARAM_NETPAY_DATA
    See Also:
      - Constant Field Values

  - ### PARAM_NETPAY_EXPIRE

    public static final String PARAM_NETPAY_EXPIRE
    See Also:
      - Constant Field Values

  - ### NETPAY_CHARSET_NAME

    public static final String NETPAY_CHARSET_NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Constants

    public Constants()